Delete Beneficiary by Id
curl --request DELETE \
--url https://business-api.onboard.xyz/ledger/fiat-beneficiaries/{beneficiaryId} \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/fiat-beneficiaries/{beneficiaryId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/fiat-beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {},
"error": {
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}
}{
"code": "BAD_REQUEST",
"message": "Request could not be validated."
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "ACCESS_DENIED",
"message": "Expected permission or scope is not present."
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred."
}Fiat Beneficiaries
Delete Fiat Beneficiary
This operation allows the client to delete a beneficiary by its Id
DELETE
/
ledger
/
fiat-beneficiaries
/
{beneficiaryId}
Delete Beneficiary by Id
Deletes a fiat beneficiary.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
The unique ID of a beneficiary
Response
Beneficiary deleted successfully
Status data, check additional message field.
Status can be successful or failed, a value of true indicates success.
Example:
true
additional message describing status.
Data associated with the status, this will not always be present
Default error object for services. This gives consistent error object that all services may use.
Show child attributes
Show child attributes